const initheaders = [
  "发票类型",
  "开票日期",
  "发票号码",
  "发票税后金额",
  "发票代码",
  "发票税前金额",
  "校验码"
];

export const mapProp = {
  value0: "invoiceType",
  value1: "open_time",
  value2: "invoiceNumber",
  value3: "inv_total",
  value4: "invoiceCode",
  value5: "inv_subtotal_amount",
  value6: "checkNumber"
};

export const requireHeaders = [];

const columns = () => {
  const list: any[] = [
    {
      type: "index",
      width: "50",
      fixed: "left",
      label: "序号"
    }
  ];
  initheaders.forEach((si, sii) => {
    list.push({
      prop: "value" + sii,
      label: si,
      minWidth: sii === 0 || sii === 1 ? "120px" : "90px"
    });
  });

  console.log(list);
  return list;
};

export { initheaders, columns };
